public class Bullet {
    double xpos;
    double ypos;
    double vx;
    double vy;
    public Bullet(Circle circle){
        xpos =circle.xpos;
        ypos =circle.ypos;
        vx = 0.1*Math.cos(Math.atan2(circle.vy,circle.vx))+circle.vx;
        vy = 0.1*Math.sin(Math.atan2(circle.vy,circle.vx))+circle.vy;
    }
    public void move(){
        xpos = xpos+vx;
        ypos = ypos+vy;
    }
    public void draw(){
        StdDraw.filledSquare(xpos, ypos, 0.1);
    }
}
